package com.sw.mes.yb.production.service;

import java.util.List;
import java.util.Map;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.dto.BlastFurnaceDetail.BlastFurnaceDetailDto;
import com.sw.mes.yb.production.dto.LoadingTask.LoadingTaskDto;
import com.sw.mes.yb.production.entity.BlastFurnaceDetail;
import com.sw.mes.yb.production.entity.LoadingTask;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface BlastFurnaceDetailService extends BaseService<BlastFurnaceDetail> {

	void addBlastFurnace(LoadingTaskDto loadingTaskDto, List<BlastFurnaceDetailDto> blastFurnaceDetailDtos,Integer rawStatus,String operationName);

	LoadingTask findTaskByMaterialCode(String materialCode);

	BlastFurnaceDetail getCrucibleInfo(Long taskId);

	List<LoadingTask> findTaskByMaterialCodes(String materialCode);

	List<BlastFurnaceDetail> getBlastFurnaceDetailList(Long taskId);

	List<Map<String, Object>> pullMaterialData();

	void updatePulledState(List<Long> idList);

    List<BlastFurnaceDetail> findByLoadingTaskIds(List<Long> loadingTaskIdList);

	void deleteByLoadingTaskId(Long loadingTaskId);
}
